package com.jw.app.business.pushData;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.session.RowBounds;

import com.gaowj.business.exception.BusinessException;

public interface PushAppDAO {
	
    void insert_pushApp(Map<String,Object> entity) throws BusinessException ;
	
	void update_pushApp(Map<String,Object> entity) throws BusinessException ;
	
	void delete_pushApp(List<String> list) throws BusinessException;
	
	void delete_pushApp_map(Map<String,Object> entity) throws BusinessException;
	
    List<Map<String,Object>> list_pushApp(RowBounds rowbounds, Map<String, Object> query) throws BusinessException ;
    
    List<Map<String,Object>> list_pushApp(Map<String,Object> query) throws BusinessException ;
    
    int listCount_pushApp(Map<String, Object> query) throws BusinessException ; 
    
    List<Map<String,Object>> list_pushApp_all(Map<String,Object> query)throws BusinessException;
    
    List<Map<String,Object>> list_pushApp_unit(Map<String,Object> query)throws BusinessException;
    
    List<Map<String,Object>> list_pushApp_user(Map<String,Object> query)throws BusinessException;
    
    int listCount_pushApp_unit(Map<String, Object> query) throws BusinessException ; 
    
    int listCount_pushApp_user(Map<String, Object> query) throws BusinessException ;

	List<Map<String, Object>> list_pushApp_unit(RowBounds rowBounds, Map<String, Object> query);

	List<Map<String, Object>> list_pushApp_user(RowBounds rowBounds, Map<String, Object> query);

}
